Subject: (guix git) does not report progress when cloning or fetching
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 24 Jan 2020 10:39:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Currently commands such as ‘guix pull’ do not report progress while
cloning of fetching a Git repo.  This is problematic when that takes a
while, for instance the first time one runs ‘guix pull’ (doing a full
clone).

We should add missing bindings (if any) to Guile-Git and use them to
show a progress bar or similar.

Ludo’.